WBCE CMS Forum

WBCE CMS – Way Better Content Editing.

You are not logged in.

#26 11.08.2018 09:17:23

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Habs geschafft. Lag nicht am jQuery, sondern am Selektor im WBSave Plugin des CKEditors, der den Inhalt mittels der CSS Klasse .content gesucht und beim Fraggy nichts gefunden hatte.

Ich musste daher in der header.htt am Schluss der Datei, beim offenen Element bevor der Inhalt gerendert wird, noch die CSS Klasse "content" hinzufügen:
            <div class="container-fluid">
                <div class="content-body content">
                    <!-- END header_block -->

Jetzt gehts. Wird im 2.1.0 vom Fraggy dann gefixt sein.

attachment.php?item=1368&download=1

Last edited by rjgamer (12.08.2018 20:15:03)

Offline

Liked by:

stefanek, florian

#27 11.08.2018 10:22:48

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Sonst noch Wünsche oder Fehler die erst in der WBCE 1.3.2 aufgetreten sind?

Gruss rjgamer

Offline

#28 12.08.2018 20:24:50

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Korrektur, Fraggy wird auf Bootstrap 4.1.3 aktualisiert.

Offline

#29 13.08.2018 16:20:08

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo zusammen,

die Version 2.1.0 von Fraggy Backend Theme wurde veröffentlicht. Für den "einfachen" Benutzer verändert sich aber nicht viel: Bootstrap wurde auf die neuste Version aktualisiert, ein Bug im Zusammenspiel mit dem CKEditor wurde behoben und das Caching der Custom Logos und Favicons wurde implementiert.

Der neue Release kann direkt via der Fraggy-eigenen Update-Funktion installiert werden (unten Rechts beim Dashboard im Adminbereich). Ich würde mich über Feedbacks freuen, ob das Ganze bei euch funktioniert hat. cool

Gruss rjgamer

---------------------

Du kannst den neusten Release (exkl. Source Code) des Fraggy Backend Themes vom offiziellen GitHub Repository herunterladen. Für alle Webdesigner und Entwickler gibt es natürlich auch einen Source Code Release.

Changelog (nur die Differenz zur Vorgängerversion und in Englisch)

  • Updated to Bootstrap 4.1.3

  • Custom logo and favicon will be cached now (client-side)

  • Added missing CSS class for the WBSave plugin of the CKEditor

Bitte die Anleitung in der README für das eigene Logo und Favicon lesen! Neu können die Bilder auch direkt im Medien-Ordner oder sogar in das Hauptverzeichnis der WBCE-Installation hochgeladen werden. Mit diesem Lösungsansatz und der Fraggy-eigenen API wird das erneute Hinzufügen nach einer Aktualisierung hinfällig. thumb_up

Gemäss README wird für Fraggy Backend Theme zwingend die Version 1.3 von WBCE oder neuer vorausgesetzt. Ältere Versionen von WBCE werden nicht mehr unterstützt.

Die Entfernung des "Designed by"-Vermerks sowie den Links zu neoflow.ch und wbce.org ist lizenzrechtlich verboten!

---------------------

Ich bin Spenden via PayPal nicht abgeneigt (gerade wenn Fraggy auch in kommerziellen Projekten verwendet wird)  tongue

Offline

Liked by:

cwsoft, bernd, ice, jps77

#30 14.08.2018 16:33:34

ice
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Auto-Update hat wunderbar funktioniert! Danke!

Last edited by ice (14.08.2018 16:33:46)

Offline

Liked by:

rjgamer

#31 14.08.2018 16:49:10

giz
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Auto-Update ohne Probleme durchgelaufen.
Danke thumb_up


WBCE 1.4.4 - Fraggy 2.5.1 - PHP 7.4.5 - All-inkl
Ein Leben ohne Hund ist möglich, aber sinnlos

Online

Liked by:

rjgamer

#32 16.08.2018 07:49:04

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo zusammen,

kleiner Bugfix-Release in der Version 2.1.1 veröffentlicht. Obwohl Fraggy schon einen cURL-Check implementiert hatte, wurde vor dem Check schon eine cURL-spezifische Variable verwendet, was dann zu einem API-seitigen Fehler des Auto-Updaters führen konnte - sofern cURL als PHP Extension beim Webserver deaktiviert war. Danke colinax für den Hinweis! thumb_up

Der Release kann wie üblich über den Auto-Updater installiert werden - sofern man natürlich cURL als PHP Extension aktiviert hat. Ansonsten wird aber ab der Version 2.1.1 nun eine hübsche, in rot gefärbte Meldung im Panel des Auto-Updaters erscheinen. wink

Gruss rjgamer

---------------------

Du kannst den neusten Release (exkl. Source Code) des Fraggy Backend Themes vom offiziellen GitHub Repository herunterladen. Für alle Webdesigner und Entwickler gibt es natürlich auch einen Source Code Release.

Changelog (nur die Differenz zur Vorgängerversion und in Englisch)

  • Fixed cURL check for auto updater

Gemäss README wird für Fraggy Backend Theme zwingend die Version 1.3 von WBCE oder neuer vorausgesetzt. Ältere Versionen von WBCE werden nicht mehr unterstützt.

Die Entfernung des "Designed by"-Vermerks sowie den Links zu neoflow.ch und wbce.org ist lizenzrechtlich verboten!

---------------------

Ich bin Spenden via PayPal nicht abgeneigt (gerade wenn Fraggy auch in kommerziellen Projekten und bei Kunden verwendet wird).

Last edited by rjgamer (22.03.2019 16:34:25)

Offline

Liked by:

better-work

#33 18.07.2019 21:00:58

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo zusammen,

das Fraggy Backend Theme v2.2.0 ist fertiggestellt und per sofort Release Candidates und den baldigen finalen Release von WBCE v1.4.0 eingesetzt werden.

https://github.com/Neoflow/Fraggy-Backe … /tag/2.2.0

Eine Aktualisierung wird mittels Auto Updater unterstützt, sofern der letzte Release v2.1.5 vom Fraggy Backend Theme unter WBCE v1.4.0-RC oder RC.2 im Einsatz ist.

Anforderungen

  • WBCE v1.4.0 oder neuer

  • PHP 7.1 oder neuer

  • Aktivierte PHP Extension cURL (nur für Auto Updater)

Changelog

  • Fixed #33 - Added the new password strength meter

  • Fixed #37 - Added the new session timeout counter

  • Fixed #38 - Added an icon to the top navigation, when maintenance mode is activated

  • Fixed #39 - Updated design to the latest requirements

  • Fixed #40 - Updated settings form to the latest requirements

  • Fixed #41 - Fixed design bugs in Bakery forms

WBCE v1.3.3 und älter wird mit dem Fraggy Backend Theme v2.2.0 nicht mehr unterstützt.

Bitte beachten wink
Wenn du Fraggy für kommerzielle Aufträge einsetzt oder einfach mal "Danke" auf andere Art sagen willst, würde ich mit über eine Spende sehr freuen. Denn damit stellst du nämlich in erster Linie sicher, dass ich mich für den Support von Fraggy längerfristig motivieren kann. wink
>>> Hier gehts zu meiner PayPal-Seite (Überweisung ist auch möglich, dafür aber bitte eine PN an mich).

Eine grosses DANKESCHÖN geht an colinax für den Fehlerbericht und initialen Pullrequest, aber auch an florian für die Spende als Motivationsspritze!

Gruss euer rjgamer

Last edited by rjgamer (19.07.2019 08:35:09)

Offline

Liked by:

colinax, florian, ice

#34 19.07.2019 08:26:43

giz
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo,

rjgamer wrote:

....

Eine Aktualisierung wird mittels Auto Updater unterstützt, sofern der letzte Release v2.1.5 vom Fraggy Backend Theme unter WBCE v1.4.0-RC oder RC.2 im Einsatz ist.

Ich hatte wbce 1.3.3. und Fraggy 2.1.2 im Einsatz und die 2.2.0 wurde per Autoupdate angeboten und installiert...

WBCE v1.3.3 und älter wird mit dem Fraggy Backend Theme v2.2.0 nicht mehr unterstützt.

Dann vlt. siehe oben und das Update nicht anbieten?
der Session-Timer unterhalb der Versionsangabe zB läuft nicht...

Grüße


WBCE 1.4.4 - Fraggy 2.5.1 - PHP 7.4.5 - All-inkl
Ein Leben ohne Hund ist möglich, aber sinnlos

Online

#35 19.07.2019 08:30:42

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

giz wrote:

Ich hatte wbce 1.3.3. und Fraggy 2.1.2 im Einsatz und die 2.2.0 wurde per Autoupdate angeboten und installiert...

Ja Fraggy v2.1.2 hatte noch keinen Versionscheck (gab es erst ab der v2.1.3). Tut mir daher leid für deinen Umstand. Bitte installiere die v2.1.5 manuell. Danach wird dir in WBCE 1.3.3 auch kein Fraggy v2.2.0 via Auto Updater mehr angeboten.

giz wrote:

Dann vlt. siehe oben und das Update nicht anbieten?
der Session-Timer unterhalb der Versionsangabe zB läuft nicht...

Korrekt. Der Session-Timmer kommt auch erst in WBCE v1.4.0. WBCE v1.3.3 hat das Ding nicht. Daher bleibt der Timer in deiner WBCE v1.3.3 Installation auch leer. Dies ist einer der Gründe für den roten Text im Startpost, warum Fraggy v2.2.0 nur WBCE v1.4.0 unterstützt.  wink

Ich hoffe ich konnte dir helfen.

Gruss

Last edited by rjgamer (19.07.2019 08:34:27)

Offline

#36 19.07.2019 08:37:17

giz
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Moin,

na, war ja kein Problem, gibt soweit ich sehe keine Probleme beim Seitenbetrieb.
Wollte nur darauf hinweisen, da ich diverse Seiten mit Fraggy 2.1.2 und 2.1.1 habe und es bemerkte.
Sobald die wbce 1.4.0 draussen ist und bei es bei meinen Seiten keine Probleme gibt, update ich sowieso.
Danke Dir!


WBCE 1.4.4 - Fraggy 2.5.1 - PHP 7.4.5 - All-inkl
Ein Leben ohne Hund ist möglich, aber sinnlos

Online

#37 19.07.2019 08:39:04

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Alles klar. Cool. Schön zu hören...  thumb_up

Offline

#38 06.09.2019 15:32:47

better-work
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

So, Spende an Dich ist raus.
Vielen Dank das Du uns weiterhin unterstützt.


Gruß Jörg

Offline

#39 06.09.2019 15:38:41

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Oh, cool. Danke  thumb_up

Offline

Liked by:

better-work

#40 21.01.2020 12:05:56

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo zusammen,

das Fraggy Backend Theme v2.3.0 wurde für WBCE 1.4.1 fertiggestellt.

https://github.com/Neoflow/Fraggy-Backe … /tag/2.3.0

Eine Aktualisierung wird mittels Auto Updater unterstützt, sofern der letzte Release v2.2.0 vom Fraggy Backend Theme unter WBCE v1.4.1 im Einsatz ist.

Anforderungen

  • WBCE v1.4.1 oder neuer

  • PHP 7.1 oder neuer

  • Aktivierte PHP Extension cURL (nur für Auto Updater)

Changelog

  • Added theme-specific changes for WBCE 1.4.1

  • Updated to Select2 v4.0.12

  • Updated to Datetimepicker v2.5.20

  • Updated to Bootstrap Fileselect v2.1.0

  • Updated to Bootstrap v4.4.1

WBCE v1.4.0 und älter wird mit dem Fraggy Backend Theme v2.3.0 nicht mehr unterstützt.

Bitte beachten wink
Wenn du Fraggy für kommerzielle Aufträge einsetzt oder einfach mal "Danke" auf andere Art sagen willst, würde ich mit über eine Spende sehr freuen. Denn damit stellst du nämlich in erster Linie sicher, dass ich mich für den Support von Fraggy längerfristig motivieren kann. wink
>>> Hier gehts zu meiner PayPal-Seite (Überweisung ist auch möglich, dafür aber bitte eine PN an mich).

Eine grosses DANKESCHÖN geht an colinax für den umfangreichen Pullrequest!

Gruss rjgamer

Offline

Liked by:

colinax, better-work

#41 29.02.2020 14:57:10

colinax
Administrator

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Neues Bugfix Update für das Fraggy Backend Theme unter WBCE 1.4.1 und neuer wurde fertiggestellt.

https://github.com/Neoflow/Fraggy-Backe … /tag/2.3.1

Eine Aktualisierung wird mittels Auto Updater unterstützt, sofern der letzte Release v2.2.0 vom Fraggy Backend Theme unter WBCE v1.4.1 im Einsatz ist.

Anforderungen

  • WBCE v1.4.1 oder neuer

  • PHP 7.1 oder neuer

  • Aktivierte PHP Extension cURL (nur für Auto Updater)


Changelog v2.3.1

Wie rjgamer in Die Zukunft von Fraggy bereits schrieb, werde ich das Fraggy Theme übernehmen und weiterpflegen, damit der Updater auch die zukünftigen Updates erhalten kann ist es wichtig dass dieses Update bis zum 28. März 2020 installiert wird.

  • set updater to new location

  • Remove woff and use woff2 support only

  • use custom admin directory for update process

  • Updated to Select2 v4.0.13

  • Updated to Popper.js v1.16.0

  • Updated to Bootstrap Fileselect v3.0.0

  • Updated to InsertLoader v1.0.1


WBCE v1.4.0 und älter wird seit dem Fraggy Backend Theme v2.3.0 nicht mehr unterstützt.

Online

Liked by:

screamindan

#42 29.02.2020 15:14:03

screamindan
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

WBCE 1.4.1 / Fraggy 2.2.0: kein neuer Release verfügbar

Online

#43 29.02.2020 15:18:05

screamindan
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

PHP 7.2.27 und unter "loaded extensions" steht auch curl.

Last edited by screamindan (29.02.2020 15:18:28)

Online

#44 29.02.2020 15:34:22

colinax
Administrator

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Der Release ist definitiv verfügbar, habe meine Seiten schon aktualisiert.

Drück mal bitte im Dashboard (ggf. mehrmals) Strg und F5.

Ich weis zwar nicht wie es genau funktioniert, scheint aber mit dem php caching zusammenzuhängen.

Online

#45 29.02.2020 15:38:38

screamindan
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Nope, immer noch. Kann ich das drüber installieren?

Online

#46 29.02.2020 15:50:37

colinax
Administrator

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Ja, dass geht auch.

Was zeigt den dir das Updatefeld im Dashboard an?

Steht da dass kein Release verfügbar ist oder steht gar nichts drinnen, manche Hoster verbiegen dass curl.

Was sagt der Errorlog viewer?

Online

#47 29.02.2020 15:53:08

screamindan
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Nix verfügbar.

Online

#48 29.02.2020 16:00:21

screamindan
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Als Template installiert. Hat geklappt.  thumb_up

Online

Liked by:

colinax

#49 29.02.2020 16:07:50

screamindan
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hier liegt wahrscheinlich das Problem.

Last edited by screamindan (29.02.2020 16:08:05)

Online

#50 29.02.2020 16:08:52

colinax
Administrator

Re: Release History & Diskussion (2.0.1 - 2.5.0)

screamindan wrote:

Hier liegt wahrscheinlich das Problem.

Ja definitiv.

Online

Board footer

Powered by FluxBB

up